## org.apache.mahout.math.function
Interface IntFunction

All Known Implementing Classes:
  AbstractContinousDistribution, AbstractDiscreteDistribution, AbstractDistribution, Exponential, Gamma, MersenneTwister, NegativeBinomial, Normal, Poisson, RandomEngine, Uniform

    public interface IntFunction

Interface that represents a function object: a function that takes a single argument and returns a single value.

Method Summary
`int` `apply(int argument)` Applies a function to an argument.

Method Detail

### apply

    int apply(int argument)

  Applies a function to an argument.

  Parameters:
    `argument` - argument passed to the function.
  Returns:
    the result of the function.

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.